core::Location Struct Reference

`#include <location.h>`

Collaboration diagram for core::Location:

## Public Member Functions

std::string | print_with_what (const std::string &what) const

## Public Attributes

std::string | file {}
std::string | function {}
std::size_t | line {}

## Detailed Description

Definition at line 25 of file location.h.

## Member Function Documentation

## print_with_what()

std::string core::Location::print_with_what | ( | const std::string & | what | ) | const

## Member Data Documentation

## file

std::string core::Location::file {}

Definition at line 29 of file location.h.

## function

std::string core::Location::function {}

Definition at line 30 of file location.h.

## line

std::size_t core::Location::line {}

Definition at line 31 of file location.h.

The documentation for this struct was generated from the following file:

- location.h